# Licensed Materials - Property of IBM                       
# Component IBM Rational ROSE_RT BUILD : TARGET_RTS                 
# Copyright IBM Corporation 1999, 2008. All Rights Reserved.      
# U.S. Government Users Restricted Rights -  Use, duplication or    
# disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.



if( $OS_HOME = $ENV{'OS_HOME'} )
{
    $os = $ENV{'OS'} || 'default';

    if( $os eq 'Windows_NT' )
    {
	$wind_base        = $ENV{'WIND_BASE'};
	$wind_host_type   = 'x86-win32';
	$ENV{'PATH'}      = "$wind_base/host/$wind_host_type/bin;$ENV{'PATH'}";
    }
    else
    {
	$rosert_home      = $ENV{'ROSERT_HOME'};
	chomp( $host      = `$rosert_home/bin/machineType` );

	$wind_base        = "$OS_HOME/wrs/tornado-1.0.1";
	if( $host eq 'sun5' )
	{
	    $wind_host_type   = 'sun4-solaris2';
	}
	elsif( $host eq 'hpux10' )
	{
	    $wind_host_type   = 'parisc-hpux9';
	}
	$ENV{'PATH'}      = "$wind_base/host/$wind_host_type/bin:$ENV{'PATH'}";
	$ENV{'WIND_BASE'} = "$wind_base";
    }

    $ENV{'GCC_EXEC_PREFIX'} = "$wind_base/host/$wind_host_type/lib/gcc-lib/";
    $ENV{'VXWORKS_HOME'}    = "$wind_base/target";
    $ENV{'VX_BSP_BASE'}     = "$wind_base/target";
    $ENV{'VX_HSP_BASE'}     = "$wind_base/target";
    $ENV{'VX_VW_BASE'}      = "$wind_base/target";
    $ENV{'WIND_HOST_TYPE'}  = "$wind_host_type";
}

$preprocessor = "cc386 -DPRAGMA -E -P >MANIFEST.i";
$target_base  = 'TORNADO1';
$supported    = 'Internal';
