/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#ifndef __RTGlobalSignal_inl__
#define __RTGlobalSignal_inl__ included

#ifdef PRAGMA
#pragma interface
#endif

#ifndef __RTGlobalSignal_h__
#include <RTGlobalSignal.h>
#endif

RTS_INLINE
RTGlobalSignal::RTGlobalSignal( void )
#ifdef _lint
    : original( (RTGlobalSignal *)0 )
#endif
{
    original = this;
}

RTS_INLINE
RTGlobalSignal::RTGlobalSignal( const RTGlobalSignal & other )
    : original( other.original )
{
}

RTS_INLINE
RTGlobalSignal::~RTGlobalSignal( void )
{
#ifdef _lint
     original = (const RTGlobalSignal *)0;
#endif
}

RTS_INLINE
RTGlobalSignal & RTGlobalSignal::operator=( const RTGlobalSignal & rhs )
{
    original = rhs.original;

    return *this;
} //lint !e1529

RTS_INLINE
int RTGlobalSignal::operator==( const RTGlobalSignal & rhs ) const
{
    return original == rhs.original;
}

#endif // __RTGlobalSignal_inl__
