/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#ifndef __RTVAsciiEncoding_h__
#define __RTVAsciiEncoding_h__ included

#ifdef PRAGMA
#pragma interface
#endif

#ifndef __RTAsciiEncoding_h__
#include <RTAsciiEncoding.h>
#endif

#if OBJECT_ENCODE

class RTVAsciiEncoding : public RTAsciiEncoding
{
public:
    explicit    RTVAsciiEncoding( RTOBuffer * );
    virtual     ~RTVAsciiEncoding( void );

protected:
    virtual int putType( const RTObject_class * );

private:
    // unavailable methods
    RTVAsciiEncoding( const RTVAsciiEncoding & );
    RTVAsciiEncoding & operator=( const RTVAsciiEncoding & );
}; //lint !e1712

#endif // OBJECT_ENCODE

#endif // __RTVAsciiEncoding_h__
