# Licensed Materials - Property of IBM                       
# Component IBM Rational ROSE_RT BUILD : TARGET_RTS                 
# Copyright IBM Corporation 1999, 2008. All Rights Reserved.      
# U.S. Government Users Restricted Rights -  Use, duplication or    
# disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.



VENDOR        = VisualC++

AR_CMD        = $(PERL) "$(RTS_HOME)/tools/ar.pl" -create=lib,/nologo   \
						  -output=/out:         \
						  -add=lib,/nologo      \
						  -input                \
						  -suffix=$(OBJ_EXT)    \
						  -limit=4000

CC            = clppc
LD            = $(PERL) "$(RTS_HOME)/libset/$(LIBRARY_SET)/ld.pl" link

# /nologo - suppress banner
# /GF     - merge common strings and place in read-only memory
# /MD     - select multi-threaded DLLs
# /TP     - assume all source files are C++

# /W4     - warning level 4
# /Ox     - full optimization
# /Os     - favour small code
# /Oi     - generate intrinsic functions
# /Ob2    - greater freedom to inline functions

LIBSETCCFLAGS = /nologo /GF /MD /TP
LIBSETCCEXTRA = /W4 /Ox /Os /Oi /Ob2 /DWIN32_LEAN_AND_MEAN
LIBSETLDFLAGS = /nologo

SHLIBCCFLAGS  =
SHLIBS        =

EXEC_EXT      = .EXE
OT_LIB_TAG    = -llib
LIB_PFX       =
LIB_EXT       = .LIB
OBJ_EXT       = .OBJ
SHLIB_PFX     =
SHLIB_EXT     = .DLL

DEBUG_TAG     = /Zi
INCLUDE_TAG   = /I
OBJECT_OPT    = /c
OBJOUT_OPT    =
OBJOUT_TAG    = /Fo

EXEOUT_OPT    =
EXEOUT_TAG    = /OUT:

ALL_OBJS_LIST = %$(ALL_OBJS_LISTFILE)
