/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTActorRef.h>
#include <RTActorRefProbe.h>

int RTActorRefProbe::connectProbe( void )
{
    if( _actor != (RTActor *)0 && _actorRef != (RTActorRef *)0 )
	return 0;  // already connected

    RTActorRef * pathActorRef = getRefFromStrPath();

    if( pathActorRef == (RTActorRef *)0 )
	return 0;

    _actor           = pathActorRef->getOwner();
    _actorRef        = pathActorRef;
    _actorRef->probe = this;

    evtPresence( -1, -1, -1 ); // -1: any actorIndex,observer,daemon

    return 1;
}
