/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTController.h>
#include <RTDiag.h>
#include <RTMessage.h>
#include <RTSpecialSignals.h>

void RTController::countMessageTransfer( RTMessage * msg )
{
    if( msg->sap() == (RTProtocol *)0 && msg->getSignal() == RTTimeoutSignal )
    {
	// don't count timeout messages:
	// they were allocated from this controller
    }
    else
    {
	RTAssert( counts.messagesAllocated != 0U );
	counts.messagesAllocated -= 1U;
    }
}
