/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTDebugger.h>

int RTDebugger::getLevel( void )
{
    static const RTDebuggerInput::CmdDesc levels[] =
    {
	{ DEBUG_NONE,    1, "none"   },
	{ DEBUG_TERSE,   1, "errors" },
	{ DEBUG_VERBOSE, 1, "all"    },

	{ -1,            0, (const char *)0 } // terminator
    };

    return input.getCommand( levels, -1, -1 );
}
