/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#ifdef PRAGMA
#pragma implementation "RTAssociation.h"
#pragma implementation "RTDictionary.h"
#pragma implementation "RTDictionary.inl"
#endif

#include <RTDictionary.h>

RTDictionary::~RTDictionary( void )
{
    for( unsigned i = 0; i < _size; ++i )
    {
	RTAssociation * assoc = &_contents[ i ];

	if( assoc->key != (char *)0 && assoc->key != (char *)assoc )
	{
	    delete [] assoc->key;
	    assoc->key = (char *)assoc;
	}
    }

    delete [] _contents;
}
