/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTDiag.h>
#include <RTEnumerated.h>
#include <RTObject_class.h>

static RTDataObject * _access( RTEnumerated * target )
{
    return target;
}

static void RTEnumerated_init( const RTObject_class *, void * )
{
    // We cannot do this: RTEnumerated is an abstract class!
    RTDiag::panic( "RTEnumerated_init" );
}

static void RTEnumerated_copy( const RTObject_class *, void *, const void * )
{
    // We cannot do this: RTEnumerated is an abstract class!
    RTDiag::panic( "RTEnumerated_copy" );
}

const RTObject_class RTEnumerated::classData =
{
    &RTType_RTDataObject,
    (RTSuperAccessFunction)_access,
    "Null",
    (RTVersionId)0,
    (RTFieldOffset)sizeof( RTEnumerated ),
    RTEnumerated_init,
    RTEnumerated_copy,
#if OBJECT_DECODE
    RTEnumerated_decode,
#endif
#if OBJECT_ENCODE
    RTEnumerated_encode,
#endif
    RTDataObject_destroy,
    0, (const RTFieldDescriptor *)0
};
