/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTLocalConnector.h>

void RTLocalConnector::SppNode::append( RTController * context,
					Request      * request )
{
    if( requests == (Request *)0 )
    {
	request->prev = request;
	requests      = request;
    }

    request ->prev       = requests->prev;
    request ->next       = requests;
    request ->prev->next = request;
    requests->prev       = request;

    if( pending == (Request *)0 )
    {
	pending = request;

	if( spp != (RTProtocol *)0 )
	    connectAll( context );
    }
}
