/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTLocalConnector.h>
#include <RTProtocol.h>

void RTLocalConnector::SppNode::resize( RTController * context,
					int            old_size )
{
    int new_size = spp->size();

    if( new_size > old_size )
    {
	if( pending != (Request *)0 )
	    connectAll( context ); // bind some more SAPs
    }
    else // if( new_size < old_size )
    {
	// look at all SAPs
	// update requests that are no longer satisfied
    }
}
