/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTObject_class.h>

int RTObject_class::isKindOf( const RTObject_class * superclass ) const
{
    const RTObject_class * _class_ = this;

    do
    {
	if( _class_ == superclass )
	    return 1;
    }
    while( (_class_ = _class_->super()) != (const RTObject_class *)0 );

    return 0;
}
