/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTObject_class.h>

#if OBJECT_DECODE
static int void_decode( const RTObject_class *, void *, RTDecoding * )
{
    return 1;
}
#endif

#if OBJECT_ENCODE
static int void_encode( const RTObject_class *, const void *, RTEncoding * )
{
    return 1;
}
#endif

const RTObject_class RTType_void =
{
    (const RTObject_class *)0,
    (RTSuperAccessFunction)0,
    "void",
    (RTVersionId)0,
    (RTFieldOffset)1,
    RTnop_init,
    RTnop_copy,
#if OBJECT_DECODE
    void_decode,
#endif
#if OBJECT_ENCODE
    void_encode,
#endif
    RTnop_destroy,
    0, (const RTFieldDescriptor *)0
};

#if OBJECT_DECODE
RTTypeInstaller void_installer( RTType_void );
#endif
