/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTDiag.h>
#include <RTTimespec.h>

#include <sys/time.h>

void RTTimespec::getclock( RTTimespec & ts )
{
    struct timeval  now;
    struct timezone zone;

    if( gettimeofday( &now, &zone ) != 0 )
	RTDiag::panic( "gettimeofday" );

    ts.tv_sec  = now.tv_sec;
    ts.tv_nsec = now.tv_usec * 1000L;
}
