/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTTimespec.h>
#include <RTOse.h>

#ifdef softOSE

extern "C"
{
    struct TimePair
    {
	long seconds;
	long micros;
    };

#define get_time zzget_time

    extern void get_time( TimePair * );
}

#else

#include <time.h>

#endif

void RTTimespec::getclock( RTTimespec & ts )
{
    TimePair now;

    get_time( &now );

    ts.tv_sec  = now.seconds;
    ts.tv_nsec = now.micros * 1000;
}
