/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#ifndef __RTExternal_inl__
#define __RTExternal_inl__ included

#ifdef PRAGMA
#pragma interface
#endif

#ifndef __RTExternal_h__
#include <RTExternal.h>
#endif

RTS_INLINE External::Base::Base( void )
    : RTProtocol()
    , msg( (RTMessage *)0 )
{
}

RTS_INLINE RTInSignal External::Base::event( void )
{
    return RTInSignal( this, rti_event );
}

#endif // __RTExternal_inl__
