/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#ifndef __RTLibSet_h__
#define __RTLibSet_h__ included

#define SHx
#define SH3
#define _SH3_

// Suppress warnings about nameless structs and unions.
#pragma warning( disable: 4201 )

// Suppress warnings about unreferenced inline functions.
#pragma warning( disable: 4514 )

// Suppress warnings about automatic inline function expansion.
#pragma warning( disable: 4711 )

// Temporary: select minimal RTS

#define LOG_MESSAGE     0
#define OBJECT_DECODE   0
#define OTRTSDEBUG      DEBUG_NONE
#define RTREAL_INCLUDED 1

#endif // __RTLibSet_h__
