/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTActor.h>
#include <RTActorProbe.h>

int RTActorProbe::disconnectProbe( RTActor * theActor )
{
    if( _actor == (RTActor *)0 )
	return 0;

    if( theActor == _actor || theActor == (RTActor *)0 )
    {
	_actor->probe = (RTActorProbe *)0;
	_actor        = (RTActor *)0;

	if( theActor != (RTActor *)0 )
	    evtPresence( _actorIndex, -1, -1 ); // -1,-1: any observer, daemon

	return 1;
    }

    return 0;
}
