/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTAsciiDecoding.h>

int RTAsciiDecoding::get_char( char & value )
{
    char quote;
    char ch;

    if( getNonWhite( quote ) == 0 || quote != '\'' )
	return 0;

    if( getByte( ch ) == 0 || getByte( quote ) == 0 )
	return 0;

    switch( ch )
    {
	case '\\':
	    ch = quote;

	    if( ch == '0'  )
		ch = '\0';
	    else if( ch != '\'' && ch != '\\' )
		break;

	    if( getByte( quote ) == 0 )
		return 0;
	    break;

	default:
	    break;
    }

    if( quote != '\'' )
	return 0;

    value = ch;

    return 1;
}
