/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTCustomController.h>

void RTCustomController::registerLayer( RTActor         * newLayer,
					RTActorFunction   _wait,
					RTActorFunction   _wakeup,
					RTActorFunction   _process )
{
    if( (_customLayer = newLayer) == (RTActor *)0 )
    {
	_waitFunc    = (RTActorFunction)0;
	_wakeupFunc  = (RTActorFunction)0;
	_processFunc = (RTActorFunction)0;
    }
    else
    {
	_waitFunc    = _wait;
	_wakeupFunc  = _wakeup;
	_processFunc = _process;
    }
}
