/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTAsciiEncoding.h>
#include <RTDataObject.h>
#include <RTMemoryUtil.h>
#include <RTMemoryOutBuffer.h>

int RTDataObject::printString( char * target, int size ) const
{
    RTMemoryOutBuffer buffer( target, size );
    RTAsciiEncoding   coding( &buffer );

    if( put( coding ) == 0 )
	return 0;

    if( buffer.write( "", 1 ) != 1 )
	return 0;

    return RTMemoryUtil::strlen( target );
}
