/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTDebugger.h>
#include <RTIOMonitor.h>
#include <RTObserver.h>

void RTDebugger::closeObservability( void )
{
#if USE_THREADS
    shutdownUdp();
#endif

    listener.close();

    for( int i = observers.size(); --i >= 0; )
    {
	delete (RTObserver *)observers[ i ];
	observers[ i ] = (void *)0;
    }

    delete ioMonitor;
    ioMonitor = (RTIOMonitor *)0;
}
