/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTActorId.h>
#include <RTActorRef.h>
#include <RTFrame.h>

int Frame::Base::deport( const RTActorId & actorid, RTActorRef & r )
{
#if RTFRAME_CHECKING != RTFRAME_CHECK_NONE
    if( permissionCheck( RTController::FrameDeport, &r, 1 ) == 0 )
	return 0;
#endif

    return r.deport( actorid.getRTActor() );
}
