/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTLayerConnector.h>

int RTLayerConnector::uninstall( RTController *, const char * name )
{
    lock();

    RTLayerConnector * installed = (RTLayerConnector *)connectors[ name ];
    int                status;

    if( installed != this )
	status = 0;
    else
	status = connectors.remove( name );

    unlock();

    return status;
}
