/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTDecoding.h>
#include <RTObject_class.h>

int RTinherit_decode( const RTObject_class * type,
		      void                 * value,
		      RTDecoding           * coding )
{
    RTDecodeFunction func;

    do
    {
	value = (*type->_super_accessor)( value );
	type  = type->_super;
	func  = type->_decode_func;
    }
    while( func == RTinherit_decode );

    return (*func)( type, value, coding );
}
