/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTDictionary.h>
#include <RTObject_class.h>

#if OBJECT_DECODE
static RTDictionary classes( 32U );
#endif

void RTObject_class::install( void ) const
{
#if OBJECT_DECODE
    (void)classes.atPut( _name, RTConstCast( RTObject_class, this ) );
#endif
}

#if OBJECT_DECODE
const RTObject_class * RTObject_class::lookup( const char * className )
{
    return (const RTObject_class *)classes[ className ];
}
#endif
