/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#ifdef PRAGMA
#pragma implementation "RTTimerId.h"
#pragma implementation "RTTimerId.inl"
#endif

#include <RTTimerId.h>
#include <RTTimerNode.h>

RTTimerId::~RTTimerId( void )
{
    if( node != (RTTimerNode *)0 )
    {
#if USE_THREADS
	RTTimerNode::critical.enter();
#endif

	RTTimerNode::_disconnect( this );

#ifdef _lint
	node = (RTTimerNode *)0;
#endif

#if USE_THREADS
	RTTimerNode::critical.leave();
#endif
    }
}
