/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTTimerList.h>
#include <RTTimerNode.h>

void RTTimerList::expire( const RTTimespec & now, RTController * controller )
{
    while( used != 0U )
    {
	RTTimerNode * node = nodes[ 0U ];

	if( node->expireTime > now ) //lint !e909
	    break;

	node->_timeout( controller );

	remove( node );
    }
}
