/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTTimerNode.h>

#if USE_THREADS
RTMutex RTTimerNode::critical;
#endif

RTTimerNode::RTTimerNode( RTController * _owner )
    : sap            ( (Timing::Base         *)0 )
    , prev           ( (RTTimerNode          *)0 )
    , next           ( (RTTimerNode          *)0 )
    , link           (                           )
    , owner          (                    _owner )
    , msg            ( (RTMessage            *)0 )
    , expireTime     (                           )
    , repeatInterval (                           )
    , missedIntervals(                         0 )
    , data           ( (void                 *)0 )
    , type           ( (const RTObject_class *)0 )
    , id_ring        (                           )
    , active         (                         0 )
{
}
