/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTDiag.h>
#include <RTTiming.h>

//lint -save -e1738
Timing::Base::Base( const Timing::Base & )
    : RTProtocol()
    , outstanding( (RTTimerNode *)0 )
{
    RTDiag::panic( "Unavailable method called:\n"
		   "    'Timing::Base( const Timing::Base & )'" );
}
//lint -restore

Timing::Base & Timing::Base::operator=( const Timing::Base & )
{
    RTDiag::panic( "Unavailable method called:\n"
	       "    'Timing::Base::operator=( const Timing::Base & )'" );

    //lint -unreachable
    return *this;
} //lint !e1529
