/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTMemoryUtil.h>
#include <RTNucleus.h>
#include <RTinet.h>
#include <RTtcp.h>

extern "C" int RTinet_primary( int sock, RTinet_address * address )
{
#ifdef PLUS_MNT
    typedef uint8 UINT8;
#endif

    SCK_IOCTL_OPTION option;

    option.s_optval = (UINT8 *)"le0"; // device name

    if( NU_Ioctl( IOCTL_GETIFADDR, &option, sizeof( option ) ) != NU_SUCCESS )
	return 0;
}
