/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTinet.h>
#include <RTtcp.h>

extern "C" int RTinet_UDP_create( void )
{
    int sock = NU_Socket( NU_FAMILY_IP, NU_TYPE_DGRAM, 0 );

    if( sock == NU_INVALID_SOCKET )
	sock = INET_NO_SOCKET;
    else if( ! RTinet_async      ( sock ) ||
	     ! RTinet_nonblocking( sock ) ||
	     ! RTinet_reuseaddr  ( sock ) )
    {
	RTinet_close( sock );
	sock = INET_NO_SOCKET;
    }

    return sock;
}
