/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#ifndef __RTtcp_h__
#define __RTtcp_h__ included

#ifndef __RTNucleus_h__
#include <RTNucleus.h>
#endif

#if HAVE_INET

extern "C"
{
#ifdef PLUS_MNT
#include <Vnet/Target.h>
#include <Vnet/Mem_defs.h>
#include <Vnet/Sockext.h>
#include <Vnet/Socketd.h>
#include <Vnet/Externs.h>
#else
#include <net/target.h>
#include <net/inc/MEM_DEFS.H>
#include <net/inc/SOCKEXT.H>
#include <net/inc/SOCKETD.H>
#include <net/inc/EXTERNS.H>
#endif
}

#endif // HAVE_INET

#endif // __RTtcp_h__
